Bug 1410912 - Copy/Paste does not work under wayland [NEEDINFO]
Summary: Copy/Paste does not work under wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 20:16 UTC by Mike Harvey
Modified: 2019-06-26 13:20 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:19:30 UTC
bmarshallbri: needinfo? (ajax)


Attachments (Terms of Use)
chrome timeout-crash (17.75 KB, image/png)
2017-01-09 20:36 UTC, Mike Harvey
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1224987 None CLOSED [Wayland] clipboard does not work 2019-03-04 21:12:15 UTC

Description Mike Harvey 2017-01-06 20:16:56 UTC
Please note that I really have no idea which Fedora component contains the bug/problem, so feel free to fix this in the report.

Description of problem:
Copy/Paste does not work in Fedora 25

Steps to reproduce
Screen capture and image using the "screenshot" tool that come with F25.  Copy the image from screenshot using the "copy to Clip board" button>  Cntrl V (paste) into Gmail new mail running in Chrome:  Version 55.0.2883.87 (64-bit).

Problem/Bug:  This no longer works in F25.  This use to work just fine in F24 prior to my recent the upgrade.


Version-Release number of selected component (if applicable):


How reproducible: Very consistent

Steps to Reproduce:

Screen capture and image using the "screenshot" tool that come with F25.  Copy the image from screenshot using the "copy to Clip board" button>  Cntrl V (paste) into Gmail new mail running in Chrome:  Version 55.0.2883.87 (64-bit).

Problem/Bug:  This no longer works in F25.  This use to work just fine in F24 prior to my recent the upgrade

Actual results:
Paste fails

Expected results:
Paste of image should work

Additional info:

Environment:
[root@mhx1carbon ~]# uname -a
Linux mhx1carbon 4.8.15-300.fc25.x86_64 #1 SMP Thu Dec 15 23:10:23 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Chrome:  Version 55.0.2883.87 (64-bit)

Comment 1 Mike Harvey 2017-01-09 20:36:07 UTC
Created attachment 1238889 [details]
chrome timeout-crash

Comment 2 Mike Harvey 2017-01-09 20:39:21 UTC
copy/pasting text from gedit text editor to my gmail running in a chrome brower tab crashes, times out.  I attached the brower crash.  This is really painful for me!  Do you have any advice on how I can capture debug logs so we can cut to the chase and fix this bug.  Copy/paste is major desktop functionalitiy that I use every day!  Please help!  Thanks,  Mike

Comment 3 Mike Harvey 2017-01-10 19:09:18 UTC
OK, it seems to be related to Wayland as the new default windows manager in F25.

Work Around:

In Fedora 25, you can logout of Fedora and log back in by selecting "GNOME
on xorg" menu pick at the login prompt before you login.

It seems that copy/paste is working better now.  I'll also note that when running Wayland, the copy/paste problem I encountered we intermittent.  I did not hit the problem every time, but when I did hit the copy/paste problem daily...and once I hit it is rather debilitating.

Comment 4 Aleksandar Kostadinov 2017-01-10 20:56:40 UTC
I'm setting component to wayland so hopefully wayland team will notice it.

Comment 5 Frederico Madeira 2017-03-05 14:10:24 UTC
Happen to me when:
 - copy from chrome and try to paste on writer (libre-office) or from writer to chrome. From 
 - screenshot to writer

Usually works on first or second copy/past, then stops work.

This is really boring problem.

My apps versions

SO

Linux madeira 4.9.11-200.fc25.x86_64 #1 SMP Mon Feb 20 18:11:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Chrome

google-chrome-stable-56.0.2924.87-1.x86_64

LibreOffice

libreoffice-calc-5.2.6.1-1.fc25.x86_64
libreoffice-ure-common-5.2.6.1-1.fc25.noarch
libreoffice-langpack-pt-BR-5.2.6.1-1.fc25.x86_64
libreoffice-impress-5.2.6.1-1.fc25.x86_64
libreoffice-math-5.2.6.1-1.fc25.x86_64
libreoffice-ure-5.2.6.1-1.fc25.x86_64
libreoffice-gtk2-5.2.6.1-1.fc25.x86_64
libreoffice-langpack-en-5.2.6.1-1.fc25.x86_64
libreoffice-writer-5.2.6.1-1.fc25.x86_64
libreoffice-pdfimport-5.2.6.1-1.fc25.x86_64
libreoffice-xsltfilter-5.2.6.1-1.fc25.x86_64
libreoffice-opensymbol-fonts-5.2.6.1-1.fc25.noarch
libreoffice-filters-5.2.6.1-1.fc25.x86_64
libreoffice-writer2latex-1.0.2-19.fc24.x86_64
libreoffice-gtk3-5.2.6.1-1.fc25.x86_64
libreoffice-graphicfilter-5.2.6.1-1.fc25.x86_64
libreoffice-x11-5.2.6.1-1.fc25.x86_64
libreoffice-emailmerge-5.2.6.1-1.fc25.x86_64
libreoffice-core-5.2.6.1-1.fc25.x86_64
libreoffice-draw-5.2.6.1-1.fc25.x86_64
libreoffice-data-5.2.6.1-1.fc25.noarch
libreoffice-ogltrans-5.2.6.1-1.fc25.x86_64

Comment 6 Frederico Madeira 2017-03-05 14:41:44 UTC
(In reply to Mike Harvey from comment #3)
> OK, it seems to be related to Wayland as the new default windows manager in
> F25.
> 
> Work Around:
> 
> In Fedora 25, you can logout of Fedora and log back in by selecting "GNOME
> on xorg" menu pick at the login prompt before you login.
> 
> It seems that copy/paste is working better now.  I'll also note that when
> running Wayland, the copy/paste problem I encountered we intermittent.  I
> did not hit the problem every time, but when I did hit the copy/paste
> problem daily...and once I hit it is rather debilitating.

Works fine and faster ! thanks.

Comment 7 Elijah DeLee 2017-06-08 20:11:18 UTC
(In reply to Frederico Madeira from comment #6)
> (In reply to Mike Harvey from comment #3)
> > OK, it seems to be related to Wayland as the new default windows manager in
> > F25.
> > 
> > Work Around:
> > 
> > In Fedora 25, you can logout of Fedora and log back in by selecting "GNOME
> > on xorg" menu pick at the login prompt before you login.
> > 
> > It seems that copy/paste is working better now.  I'll also note that when
> > running Wayland, the copy/paste problem I encountered we intermittent.  I
> > did not hit the problem every time, but when I did hit the copy/paste
> > problem daily...and once I hit it is rather debilitating.
> 
> Works fine and faster ! thanks.

This fix worked for me too! Thanks

Comment 8 ernie_07 2017-06-25 22:40:49 UTC
Different ways to determine if wayland in running:
1. Open a terminal window
2. "echo $WAYLAND_DISPLAY" and look for a non blank line after the command.
3. "highlight some text", right click and attempt to first copy then paste. FAILURE to paste indicates that wayland is involved.

This begs the question. Why bother with wayland if cutting/pasting are disallowed?

Comment 9 Aleksandar Kostadinov 2017-08-10 11:02:30 UTC
I think that the copy/paste issues might be coming from the usage of a clipboard manager which is a very important use case. Would be good to know whether the people hitting this issue used a clipboard manager or not. Also which one. I actually found only one for gnome last time I've tried wayland but can't remember its name.

Comment 10 Kolchin Maxim 2017-09-19 08:17:40 UTC
I faced similar issue. Steps to reproduce:

1) Ctrl+C text from a browser (Firefox 55.0.3)
2) Ctrl+V it to GEdit (55.0.3). It works.
3) Ctrl+C another text from GEdit.
4) Ctrl+V it to the browser. It does *not* work.

Comment 11 bmarshallbri 2017-09-29 01:22:09 UTC
No certain if this is related but I have always used a clipboard manager. I'm fairly agnostic to which ones I have used, but since FC 25 and 26 none of the old clipboard managers seem to work across many apps (parcellite, gclipper, gpaste, clipit)

If I am in Firefox, Chrome, MS Code my hotkeys to the clipboard managers work. 

If I am in terminal, terminator, nautilus, Text Editor none of my clipboard manager hotkeys work.

Comment 12 Franck A 2017-11-01 07:28:35 UTC
(In reply to bmarshallbri from comment #11)

> If I am in Firefox, Chrome, MS Code my hotkeys to the clipboard managers
> work. 
> 
> If I am in terminal, terminator, nautilus, Text Editor none of my clipboard
> manager hotkeys work.

It looks like X11 apps see each other in XWayland while Wayland apps don't see the clipboard. It may be a feature, if the clipboard manager doesn't fit the Wayland security model -- it's an obvious way for a hostile app to steal data from others in X -- or it has to be included in/managed by the Wayland compositor (within the trusted realm).

Comment 13 Fedora End Of Life 2017-11-16 19:02:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Aleksandar Kostadinov 2017-11-16 19:52:30 UTC
not fixed in 26 and I think not in 27 too

Comment 15 Amrinder Singh 2018-01-04 08:20:34 UTC
That's true its not fixed yet in fedora 27 but logging in with GNOME on Xorg is working fine. and not just that if you are having the issue like after switching the user in terminal, you are not able to launch Graphical application or you are getting any X11 warning while doing ssh -X is also resolved with this. mainly he was not able to carry the display with it by GNOME on Xorg its carrying that.

Comment 16 Josh Berkus 2018-02-21 20:06:31 UTC
Aleksander: 

Based on this issue, I checked and found that I had "Clipit" clipboard manager installed.  Clipit never worked usefully under Wayland, but it was still there.

Removing Clipit and restarting *appears* to have caused the copy/paste crashes to stop, although copy/paste to/from Libreoffice is still very slow (as in, 20 seconds to paste).

Comment 17 Josh Berkus 2018-02-21 21:32:57 UTC
UPDATE: the above comment was incorrect; even with the removal of Clipit, copy/paste continues to fail.

The issue appears to be directly related to the "size" of the pasted object.  For example, I can paste 5 rows from a Libreoffice spreadsheet into a text editor.  I cannot paste 12 of them; it hangs, and eventually I get an "app is not responding" warning from the text editor.

Comment 18 Nicholas Kudriavtsev 2018-03-20 15:31:46 UTC
The bug on Gnome's Bugzilla https://bugzilla.gnome.org/show_bug.cgi?id=782694

Comment 19 Fedora End Of Life 2018-05-03 08:11:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Aleksandar Kostadinov 2018-05-03 09:47:22 UTC
This is still the case in F27, copy/pasting under wayland is very unreliable and no clipboard managers seem to work properly.

And I don't read about any particular changes in Fedora 28. I'll try it out soon though but I don't really hope much.

Comment 21 Ben Cotton 2018-11-27 13:55:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2018-11-30 23:19:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 bmarshallbri 2018-12-01 02:37:51 UTC
This bug is still present in fedora 28/29. Not sure how I re-open.

Comment 24 giuse 2019-02-21 12:15:59 UTC
I confirm. In F29 the bug is still there.
Moreovere, also XFCE is not loading.

Comment 25 John P 2019-06-21 15:35:39 UTC
After a fresh install and update of  Fedora 30 i face the same problem, on LXDE, click the clipboard icon, select Preferences, select History tab, and uncheck "Purge history after timeout". that works for me.

Comment 26 ingli 2019-06-26 13:20:38 UTC
This is F30; I use GNOME Shell Extension Clipboard Indicator. I also face the bug that often copy-paste does not work in the expected way.
When I copy a string, it is visible in the clipboard indicator (expected). However, I can only paste it elsewhere if I either have the source application still open or if I select the entry again in the clipboard indicator.


Note You need to log in before you can comment on or make changes to this bug.